﻿@media (min-width: 500px) {
    form {
        min-width: 80%;
    }
}
button:disabled{
    opacity: 0.3;
}

.mm-btn-green-icon {
    border-radius: 50% !important;
    display: flex;
    align-items: center;
    justify-content: center;
}


.mm-btn-red-icon {
    border-radius: 50% !important;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-shrink: 0 !important;
}

.summary-div {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    padding-top: 2px;
    padding-bottom: 2px;
    flex-wrap: wrap;

    > img {
        max-height: 100px;
        margin: 4px;
        max-width:100%
    }
}

.summary-title {
    font-size: small;
    color: var(--mm-company-main-color);
    align-content: center;
}

gmp-place-autocomplete {
    width: calc(100% - 38px - 1rem);
    background-color: rgb(249 250 251);
    color-scheme: light;
    border: 1px solid rgb(209, 213, 219);
    border-radius: 9px;

    ::part(focus-ring) {
        display: none;
    }

    &#mainAddress {
        width: 100%;
    }

    &.invalid {
        border: red solid 1px;
    }
}


#signup-step4 {
    margin: 1px;

    > :nth-child(odd) {
        background-color: var(--mm-super-light-gray);
    }
}

#appendTarget {
    label:only-child {
        display: none;
    }
}

.vertical-flex-center{
    display: flex;
    flex-direction: column;
    align-items: center;
}


.dx-state-disabled .dx-widget, .dx-state-disabled.dx-widget {
    opacity: 1;
}

gmp-place-autocomplete.request-address-invalid {
    border-color: #dc3545;
}


.signup{
    position: absolute;
    width: 99%;
    height: 90%;
}

.form-content {
    flex: 1;
    display: flex;
    flex-wrap: nowrap;
    flex-direction: column;
    justify-content: space-between;
    overflow-y: auto;
    overflow-x: hidden;
}